Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Null_Mutex Class Reference

Implement a do nothing <ACE_Mutex>, i.e., all the methods are no ops. More...

`#include <Null_Mutex.h>`

Inheritance diagram for ACE_Null_Mutex:

[legend]
List of all members.

## Public Methods
| ACE_Null_Mutex (const ACE_TCHAR *=0)
| ~ACE_Null_Mutex (void)
int | remove (void)
| Return 0.
int | acquire (void)
| Return 0.
int | acquire (ACE_Time_Value &)
| Return -1 with <errno> == <ETIME>.
int | acquire (ACE_Time_Value *)
| Return -1 with <errno> == <ETIME>.
int | tryacquire (void)
| Return 0.
int | release (void)
| Return 0.
int | acquire_write (void)
| Return 0.
int | tryacquire_write (void)
| Return 0.
int | tryacquire_write_upgrade (void)
| Return 0.
int | acquire_read (void)
| Return 0.
int | tryacquire_read (void)
| Return 0.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
int | lock_
| Declare the dynamic allocation hooks.

## Detailed Description

Implement a do nothing <ACE_Mutex>, i.e., all the methods are no ops.

## Constructor & Destructor Documentation

ACE_Null_Mutex::ACE_Null_Mutex | ( | const ACE_TCHAR * | = 0 | ) | `[inline]`

ACE_Null_Mutex::~ACE_Null_Mutex | ( | void |  | ) | `[inline]`

## Member Function Documentation

int ACE_Null_Mutex::acquire | ( | ACE_Time_Value * |  | ) | `[inline]`

| Return -1 with <errno> == <ETIME>.

int ACE_Null_Mutex::acquire | ( | ACE_Time_Value & |  | ) | `[inline]`

| Return -1 with <errno> == <ETIME>.

int ACE_Null_Mutex::acquire | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::acquire_read | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::acquire_write | ( | void |  | ) | `[inline]`

| Return 0.

void ACE_Null_Mutex::dump | ( | void |  | ) | const`[inline]`

| Dump the state of an object. Reimplemented in ACE_Noop_Token, and ACE_Select_Reactor_Token_T< ACE_SELECT_TOKEN >.

int ACE_Null_Mutex::release | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::remove | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::tryacquire | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::tryacquire_read | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::tryacquire_write | ( | void |  | ) | `[inline]`

| Return 0.

int ACE_Null_Mutex::tryacquire_write_upgrade | ( | void |  | ) | `[inline]`

| Return 0.

## Member Data Documentation

int ACE_Null_Mutex::lock_

| Declare the dynamic allocation hooks.

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Null_Mutex.h